BankTransfer
How to use Bank Transfer to submit a payout in Turkey.
Last updated
{
"code": 200,
"msg": "success",
"time": 1628580845,
"data": {
"id": "TS202108100734054iRiUZFPXfQM",
"custom_code": "custom_code9982674851738108",
"arrival_amount": "0.51",
"arrival_currency": "TRY",
"source_amount": "0.07",
"source_currency": "USD",
"status": "IN_PROCESSING"
}
}{
"code": 4001020,
"msg": "order already existed",
"time": 1628580940,
"data": {}
}{
"code": 4004003,
"msg": "permission denied",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001003,
"msg": "fee not configured",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001102,
"msg": "balance insufficient",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001000,
"msg": "system error",
"time": 1637224716,
"data": {
... ...
}
}curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
* "name": "GUILHERME ****** SOUZA",
* "amount": "10.01",
* "arrival_currency": "TRY", // fixed value: TRY
* "custom_code" : "custom_code_your_order_id",
* "document_type": "individual", // one of individual or business
* "fee_bear": "merchant",
* "method": "BANKTRANSFER", // fixed value: BANKTRANSFER
* "notify_url": "https://notify.url",
* "account": "TR55************01", // 0 ~ 64 chars
* "account_type": "IBAN", // One of IBAN, CREDITCARD_NO
* "source_currency": "USD", // supported: USD GBP EUR TRY
* "additional_remark": "pagsmile payout test remark",
* "country": "TUR", // fixed value: TUR
}'